import { UUICardElement } from '@umbraco-ui/uui-card/lib';
/**
 *  @element uui-card-user
 *  @fires {UUICardEvent} open - fires when the user card title is clicked
 *  @fires {UUICardEvent} selected - fires when the card is selected
 *  @description - Card component for displaying a user node.
 */
export declare class UUICardUserElement extends UUICardElement {
    static styles: import("lit").CSSResult[];
    /**
     * User name
     * @type {string}
     * @attr name
     * @default ''
     */
    name: string;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-card-user': UUICardUserElement;
    }
}
